Opened 6 years ago

Closed 6 years ago

#1056 closed defect (fixed)

Since upgrade from 0.9.7.1 to 0.9.8, I2P can't connect (I2CP Error)

Reported by: amund1h Owned by:
Priority: blocker Milestone: 0.9.8.1
Component: router/general Version: 0.9.8
Keywords: Cc:
Parent Tickets: Sensitive: no

Description (last modified by zzz)

Error message :
"Network: ERR-Client Manager I2CP Error - check logs"

I had the same issue when testing
"i2pupdate (Updater to 0.9.7.1-25) 2013-09.zip"
I had to downgrade to 0.9.7.1 to get back I2P working.


I2P version: 0.9.8-0
Java version: Oracle Corporation 1.7.0_25 (Java™ SE Runtime Environment 1.7.0_25-b17)
Wrapper version: none
Server version: 7.6.12.v20130726
Servlet version: Jasper JSP 2.1 Engine
Platform: Windows 7 x86 6.1
Processor: Core i3 or i5/i7 mobile (32nm) (corei)
Jbigi: Locally optimized native BigInteger? library loaded from file
Encoding: Cp1252
Charset: windows-1252


Critical Logs

01/10/13 00:46:05 CRIT [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
     java.lang.IllegalStateException
     at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
     at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
     at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
     at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
     at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
     at java.lang.Thread.run(Unknown Source)
     at net.i2p.util.I2PThread.run(I2PThread.java:85)

Router Logs (configure)

Router Logs (configure)

File location: C:\Users\MYNAME\AppData?\Roaming\I2P\logs\log-router-0.txt

    01/10/13 00:49:04 ERROR [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, retrying in 20 seconds
    01/10/13 00:49:04 ERROR [rtup tunnels] eaming.I2PSocketManagerFactory: Error creating session for socket manager
         net.i2p.client.I2PSessionException: No manager yet
         at net.i2p.router.client.ClientManagerFacadeImpl.connect(ClientManagerFacadeImpl.java:254)
         at net.i2p.client.I2PSessionImpl.connect(I2PSessionImpl.java:438)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:221)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:143)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:87)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:415)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:370)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:332)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:290)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:272)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:200)
         at net.i2p.i2ptunnel.I2PTunnelClient.<init>(I2PTunnelClient.java:31)
         at net.i2p.i2ptunnel.I2PTunnel.runClient(I2PTunnel.java:716)
         at net.i2p.i2ptunnel.TunnelController.startClient(TunnelController.java:364)
         at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:198)
         at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:149)
         at net.i2p.i2ptunnel.TunnelControllerGroup$StartControllers.run(TunnelControllerGroup.java:249)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:49:04 ERROR [rtup tunnels] i2p.i2ptunnel.TunnelController: Error starting the tunnel I2P HTTP Proxy
         java.lang.IllegalArgumentException: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:432)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:370)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:332)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:290)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:272)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:200)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:147)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.<init>(I2PTunnelHTTPClientBase.java:98)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClient.<init>(I2PTunnelHTTPClient.java:205)
         at net.i2p.i2ptunnel.I2PTunnel.runHttpClient(I2PTunnel.java:792)
         at net.i2p.i2ptunnel.TunnelController.startHttpClient(TunnelController.java:228)
         at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:188)
         at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:149)
         at net.i2p.i2ptunnel.TunnelControllerGroup$StartControllers.run(TunnelControllerGroup.java:249)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:49:04 ERROR [rtup tunnels] net.i2p.i2ptunnel.I2PTunnel : [1]: Invalid I2PTunnel configuration to create an HTTP Proxy connecting to the router at 127.0.0.1:7654 and listening on 127.0.0.1:4444
         java.lang.IllegalArgumentException: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:432)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:370)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:332)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:290)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:272)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:200)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:147)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.<init>(I2PTunnelHTTPClientBase.java:98)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClient.<init>(I2PTunnelHTTPClient.java:205)
         at net.i2p.i2ptunnel.I2PTunnel.runHttpClient(I2PTunnel.java:792)
         at net.i2p.i2ptunnel.TunnelController.startHttpClient(TunnelController.java:228)
         at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:188)
         at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:149)
         at net.i2p.i2ptunnel.TunnelControllerGroup$StartControllers.run(TunnelControllerGroup.java:249)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:49:04 CRIT [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
    01/10/13 00:49:04 ERROR [rtup tunnels] eaming.I2PSocketManagerFactory: Error creating session for socket manager
         net.i2p.client.I2PSessionException: No manager yet
         at net.i2p.router.client.ClientManagerFacadeImpl.connect(ClientManagerFacadeImpl.java:254)
         at net.i2p.client.I2PSessionImpl.connect(I2PSessionImpl.java:438)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:221)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:143)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:87)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:415)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:370)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:332)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:290)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:272)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:200)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:147)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.<init>(I2PTunnelHTTPClientBase.java:98)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClient.<init>(I2PTunnelHTTPClient.java:205)
         at net.i2p.i2ptunnel.I2PTunnel.runHttpClient(I2PTunnel.java:792)
         at net.i2p.i2ptunnel.TunnelController.startHttpClient(TunnelController.java:228)
         at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:188)
         at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:149)
         at net.i2p.i2ptunnel.TunnelControllerGroup$StartControllers.run(TunnelControllerGroup.java:249)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:48:44 ERROR [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, retrying in 20 seconds
    01/10/13 00:48:44 ERROR [rtup tunnels] eaming.I2PSocketManagerFactory: Error creating session for socket manager
         net.i2p.client.I2PSessionException: No manager yet
         at net.i2p.router.client.ClientManagerFacadeImpl.connect(ClientManagerFacadeImpl.java:254)
         at net.i2p.client.I2PSessionImpl.connect(I2PSessionImpl.java:438)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:221)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:143)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:87)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:415)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:370)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:332)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:290)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:272)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:200)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:147)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.<init>(I2PTunnelHTTPClientBase.java:98)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClient.<init>(I2PTunnelHTTPClient.java:205)
         at net.i2p.i2ptunnel.I2PTunnel.runHttpClient(I2PTunnel.java:792)
         at net.i2p.i2ptunnel.TunnelController.startHttpClient(TunnelController.java:228)
         at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:188)
         at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:149)
         at net.i2p.i2ptunnel.TunnelControllerGroup$StartControllers.run(TunnelControllerGroup.java:249)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:48:24 ERROR [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, retrying in 20 seconds
    01/10/13 00:48:24 ERROR [rtup tunnels] eaming.I2PSocketManagerFactory: Error creating session for socket manager
         net.i2p.client.I2PSessionException: No manager yet
         at net.i2p.router.client.ClientManagerFacadeImpl.connect(ClientManagerFacadeImpl.java:254)
         at net.i2p.client.I2PSessionImpl.connect(I2PSessionImpl.java:438)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:221)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:143)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:87)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:415)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:370)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:332)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:290)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:272)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:200)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:147)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.<init>(I2PTunnelHTTPClientBase.java:98)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClient.<init>(I2PTunnelHTTPClient.java:205)
         at net.i2p.i2ptunnel.I2PTunnel.runHttpClient(I2PTunnel.java:792)
         at net.i2p.i2ptunnel.TunnelController.startHttpClient(TunnelController.java:228)
         at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:188)
         at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:149)
         at net.i2p.i2ptunnel.TunnelControllerGroup$StartControllers.run(TunnelControllerGroup.java:249)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:48:04 ERROR [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, retrying in 20 seconds
    01/10/13 00:48:04 ERROR [rtup tunnels] eaming.I2PSocketManagerFactory: Error creating session for socket manager
         net.i2p.client.I2PSessionException: No manager yet
         at net.i2p.router.client.ClientManagerFacadeImpl.connect(ClientManagerFacadeImpl.java:254)
         at net.i2p.client.I2PSessionImpl.connect(I2PSessionImpl.java:438)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:221)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:143)
         at net.i2p.client.streaming.I2PSocketManagerFactory.createManager(I2PSocketManagerFactory.java:87)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:415)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.buildSocketManager(I2PTunnelClientBase.java:370)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:332)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.getSocketManager(I2PTunnelClientBase.java:290)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:272)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:200)
         at net.i2p.i2ptunnel.I2PTunnelClientBase.<init>(I2PTunnelClientBase.java:147)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.<init>(I2PTunnelHTTPClientBase.java:98)
         at net.i2p.i2ptunnel.I2PTunnelHTTPClient.<init>(I2PTunnelHTTPClient.java:205)
         at net.i2p.i2ptunnel.I2PTunnel.runHttpClient(I2PTunnel.java:792)
         at net.i2p.i2ptunnel.TunnelController.startHttpClient(TunnelController.java:228)
         at net.i2p.i2ptunnel.TunnelController.doStartTunnel(TunnelController.java:188)
         at net.i2p.i2ptunnel.TunnelController.startTunnel(TunnelController.java:149)
         at net.i2p.i2ptunnel.TunnelControllerGroup$StartControllers.run(TunnelControllerGroup.java:249)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:46:05 CRIT [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
         java.lang.IllegalStateException
         at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
         at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
         at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
         at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
         at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
         at java.lang.Thread.run(Unknown Source)
         at net.i2p.util.I2PThread.run(I2PThread.java:85)
    01/10/13 00:46:05 ↓↓↓ 1 similar message omitted ↓↓↓
        
    01/10/13 00:46:04 WARN [JobQueue 1/1] uter.startup.LoadRouterInfoJob: Rebuilding RouterInfo with longer key


Service (Wrapper) Logs

File location: C:\Users\MYNAME\AppData?\Roaming\I2P\wrapper.log

INFO: File [docs/dnf-header_nl.ht] deleted
INFO: File [docs/dnf-header_ru.ht] deleted
INFO: File [docs/dnf-header_zh.ht] deleted
INFO: File [docs/dnfb-header_ar.ht] deleted
INFO: File [docs/dnfb-header_de.ht] deleted
INFO: File [docs/dnfb-header_fr.ht] deleted
INFO: File [docs/dnfb-header_nl.ht] deleted
INFO: File [docs/dnfb-header_ru.ht] deleted
INFO: File [docs/dnfb-header_zh.ht] deleted
INFO: File [docs/dnfh-header_de.ht] deleted
INFO: File [docs/dnfh-header_fr.ht] deleted
INFO: File [docs/dnfh-header_nl.ht] deleted
INFO: File [docs/dnfh-header_ru.ht] deleted
INFO: File [docs/dnfh-header_zh.ht] deleted
INFO: File [docs/dnfp-header_ar.ht] deleted
INFO: File [docs/dnfp-header_de.ht] deleted
INFO: File [docs/dnfp-header_fr.ht] deleted
INFO: File [docs/dnfp-header_nl.ht] deleted
INFO: File [docs/dnfp-header_ru.ht] deleted
INFO: File [docs/dnfp-header_zh.ht] deleted
INFO: File [docs/localhost-header_ar.ht] deleted
INFO: File [docs/localhost-header_de.ht] deleted
INFO: File [docs/localhost-header_fr.ht] deleted
INFO: File [docs/localhost-header_nl.ht] deleted
INFO: File [docs/localhost-header_ru.ht] deleted
INFO: File [docs/localhost-header_zh.ht] deleted
INFO: File [docs/noproxy-header_ar.ht] deleted
INFO: File [docs/noproxy-header_de.ht] deleted
INFO: File [docs/noproxy-header_fr.ht] deleted
INFO: File [docs/noproxy-header_nl.ht] deleted
INFO: File [docs/noproxy-header_ru.ht] deleted
INFO: File [docs/noproxy-header_zh.ht] deleted
INFO: File [docs/protocol-header_ar.ht] deleted
INFO: File [docs/protocol-header_de.ht] deleted
INFO: File [docs/protocol-header_fr.ht] deleted
INFO: File [docs/protocol-header_nl.ht] deleted
INFO: File [docs/protocol-header_ru.ht] deleted
INFO: File [docs/protocol-header_zh.ht] deleted
INFO: File [deletelist.txt] deleted
INFO: Update installed
WARNING: Exiting after update, restart I2P
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized native BigInteger library loaded from file
INFO: Jetty 7.6.12.v20130726 logging to I2P logs using class org.eclipse.jetty.server.Server
2013-09-30 20:37:41.727:INFO:oejs.Server:jetty-7.6.12.v20130726
Adding C:\Program Files (x86)\i2p\lib/jetty-util.jar to classpath for susimail
30/09/13 22:37:35 CRIT  [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
java.lang.IllegalStateException
	at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
	at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
	at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
	at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
	at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
	at java.lang.Thread.run(Unknown Source)
	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2013-09-30 20:38:11.099:INFO:oejs.Server:jetty-7.6.12.v20130726
30/09/13 22:40:35 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 22:41:35 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 22:42:36 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 22:43:36 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
2013-09-30 20:46:47.443:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7657
2013-09-30 20:46:47.443:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@::1:7657
2013-09-30 20:46:47.444:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/routerconsole.war!/},C:\Program Files (x86)\i2p\webapps/routerconsole.war
2013-09-30 20:46:47.444:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/addressbook,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/addressbook.war!/},C:\Program Files (x86)\i2p\webapps\addressbook.war
2013-09-30 20:46:47.444:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2psnark,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2psnark.war!/},C:\Program Files (x86)\i2p\webapps\i2psnark.war
2013-09-30 20:46:47.444:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2ptunnel,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2ptunnel.war!/},C:\Program Files (x86)\i2p\webapps\i2ptunnel.war
2013-09-30 20:46:47.444:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susidns,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susidns.war!/},C:\Program Files (x86)\i2p\webapps\susidns.war
2013-09-30 20:46:47.444:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susimail,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susimail.war!/},C:\Program Files (x86)\i2p\webapps\susimail.war
2013-09-30 20:46:48.476:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7658
2013-09-30 20:46:48.476:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/docroot/}
2013-09-30 20:46:48.477:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/cgi-bin,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/cgi-bin/}
30/09/13 22:46:39 CRIT  [hutdown hook] net.i2p.router.Router         : Graceful shutdown progress - no more tunnels, safe to die
30/09/13 22:46:41 CRIT  [hutdown hook] net.i2p.router.Router         : Starting final shutdown(2)
30/09/13 22:46:42 CRIT  [hutdown hook] net.i2p.router.Router         : Shutdown(2) complete
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized native BigInteger library loaded from file
INFO: Jetty 7.6.12.v20130726 logging to I2P logs using class org.eclipse.jetty.server.Server
2013-09-30 20:47:31.994:INFO:oejs.Server:jetty-7.6.12.v20130726
Adding C:\Program Files (x86)\i2p\lib/jetty-util.jar to classpath for susimail
30/09/13 22:47:25 CRIT  [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
java.lang.IllegalStateException
	at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
	at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
	at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
	at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
	at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
	at java.lang.Thread.run(Unknown Source)
	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2013-09-30 20:48:01.385:INFO:oejs.Server:jetty-7.6.12.v20130726
30/09/13 22:50:25 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 22:51:25 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 22:52:26 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 22:53:26 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
2013-09-30 21:15:18.680:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7657
2013-09-30 21:15:18.681:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@::1:7657
2013-09-30 21:15:18.681:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/routerconsole.war!/},C:\Program Files (x86)\i2p\webapps/routerconsole.war
2013-09-30 21:15:18.682:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/addressbook,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/addressbook.war!/},C:\Program Files (x86)\i2p\webapps\addressbook.war
2013-09-30 21:15:18.682:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2psnark,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2psnark.war!/},C:\Program Files (x86)\i2p\webapps\i2psnark.war
2013-09-30 21:15:18.682:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2ptunnel,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2ptunnel.war!/},C:\Program Files (x86)\i2p\webapps\i2ptunnel.war
2013-09-30 21:15:18.682:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susidns,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susidns.war!/},C:\Program Files (x86)\i2p\webapps\susidns.war
2013-09-30 21:15:18.682:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susimail,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susimail.war!/},C:\Program Files (x86)\i2p\webapps\susimail.war
2013-09-30 21:15:19.799:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7658
2013-09-30 21:15:19.799:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/docroot/}
2013-09-30 21:15:19.800:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/cgi-bin,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/cgi-bin/}
30/09/13 23:15:10 CRIT  [hutdown hook] net.i2p.router.Router         : Graceful shutdown progress - no more tunnels, safe to die
30/09/13 23:15:12 CRIT  [hutdown hook] net.i2p.router.Router         : Starting final shutdown(2)
30/09/13 23:15:13 CRIT  [hutdown hook] net.i2p.router.Router         : Shutdown(2) complete
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized native BigInteger library loaded from file
INFO: Jetty 7.6.12.v20130726 logging to I2P logs using class org.eclipse.jetty.server.Server
2013-09-30 21:17:27.370:INFO:oejs.Server:jetty-7.6.12.v20130726
Adding C:\Program Files (x86)\i2p\lib/jetty-util.jar to classpath for susimail
30/09/13 23:17:20 CRIT  [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
java.lang.IllegalStateException
	at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
	at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
	at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
	at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
	at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
	at java.lang.Thread.run(Unknown Source)
	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2013-09-30 21:17:56.858:INFO:oejs.Server:jetty-7.6.12.v20130726
30/09/13 23:20:21 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 23:21:21 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 23:22:21 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 23:23:21 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
30/09/13 23:56:56 CRIT  [hutdown hook] net.i2p.router.Router         : Graceful shutdown progress - no more tunnels, safe to die
2013-09-30 21:57:04.586:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7657
2013-09-30 21:57:04.587:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@::1:7657
2013-09-30 21:57:04.591:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/routerconsole.war!/},C:\Program Files (x86)\i2p\webapps/routerconsole.war
2013-09-30 21:57:04.591:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/addressbook,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/addressbook.war!/},C:\Program Files (x86)\i2p\webapps\addressbook.war
2013-09-30 21:57:04.591:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2psnark,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2psnark.war!/},C:\Program Files (x86)\i2p\webapps\i2psnark.war
2013-09-30 21:57:04.591:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2ptunnel,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2ptunnel.war!/},C:\Program Files (x86)\i2p\webapps\i2ptunnel.war
2013-09-30 21:57:04.591:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susidns,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susidns.war!/},C:\Program Files (x86)\i2p\webapps\susidns.war
2013-09-30 21:57:04.591:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susimail,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susimail.war!/},C:\Program Files (x86)\i2p\webapps\susimail.war
2013-09-30 21:57:05.621:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7658
2013-09-30 21:57:05.622:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/docroot/}
2013-09-30 21:57:05.623:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/cgi-bin,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/cgi-bin/}
30/09/13 23:56:58 CRIT  [hutdown hook] net.i2p.router.Router         : Starting final shutdown(2)
30/09/13 23:57:00 CRIT  [hutdown hook] net.i2p.router.Router         : Shutdown(2) complete
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized native BigInteger library loaded from file
INFO: Jetty 7.6.12.v20130726 logging to I2P logs using class org.eclipse.jetty.server.Server
2013-09-30 21:57:23.183:INFO:oejs.Server:jetty-7.6.12.v20130726
Adding C:\Program Files (x86)\i2p\lib/jetty-util.jar to classpath for susimail
30/09/13 23:57:16 CRIT  [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
java.lang.IllegalStateException
	at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
	at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
	at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
	at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
	at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
	at java.lang.Thread.run(Unknown Source)
	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2013-09-30 21:57:52.608:INFO:oejs.Server:jetty-7.6.12.v20130726
01/10/13 00:00:16 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
01/10/13 00:01:17 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
01/10/13 00:02:17 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
01/10/13 00:03:17 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
2013-09-30 22:10:00.218:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7658
2013-09-30 22:10:00.219:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/docroot/}
2013-09-30 22:10:00.219:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/cgi-bin,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/cgi-bin/}
2013-09-30 22:10:00.219:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7657
2013-09-30 22:10:00.220:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@::1:7657
2013-09-30 22:10:00.220:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/routerconsole.war!/},C:\Program Files (x86)\i2p\webapps/routerconsole.war
2013-09-30 22:10:00.221:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/addressbook,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/addressbook.war!/},C:\Program Files (x86)\i2p\webapps\addressbook.war
2013-09-30 22:10:00.221:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2psnark,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2psnark.war!/},C:\Program Files (x86)\i2p\webapps\i2psnark.war
2013-09-30 22:10:00.221:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2ptunnel,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2ptunnel.war!/},C:\Program Files (x86)\i2p\webapps\i2ptunnel.war
2013-09-30 22:10:00.221:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susidns,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susidns.war!/},C:\Program Files (x86)\i2p\webapps\susidns.war
2013-09-30 22:10:00.221:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susimail,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susimail.war!/},C:\Program Files (x86)\i2p\webapps\susimail.war
01/10/13 00:09:52 CRIT  [hutdown hook] net.i2p.router.Router         : Graceful shutdown progress - no more tunnels, safe to die
01/10/13 00:09:54 CRIT  [hutdown hook] net.i2p.router.Router         : Starting final shutdown(2)
01/10/13 00:09:55 CRIT  [hutdown hook] net.i2p.router.Router         : Shutdown(2) complete
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized native BigInteger library loaded from file
INFO: Jetty 7.6.12.v20130726 logging to I2P logs using class org.eclipse.jetty.server.Server
2013-09-30 22:11:12.897:INFO:oejs.Server:jetty-7.6.12.v20130726
Adding C:\Program Files (x86)\i2p\lib/jetty-util.jar to classpath for susimail
01/10/13 00:11:06 CRIT  [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
java.lang.IllegalStateException
	at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
	at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
	at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
	at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
	at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
	at java.lang.Thread.run(Unknown Source)
	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2013-09-30 22:11:42.173:INFO:oejs.Server:jetty-7.6.12.v20130726
01/10/13 00:14:06 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
01/10/13 00:15:06 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up
2013-09-30 22:24:29.895:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7657
2013-09-30 22:24:29.896:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@::1:7657
2013-09-30 22:24:29.896:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/routerconsole.war!/},C:\Program Files (x86)\i2p\webapps/routerconsole.war
2013-09-30 22:24:29.897:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/addressbook,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/addressbook.war!/},C:\Program Files (x86)\i2p\webapps\addressbook.war
2013-09-30 22:24:29.897:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2psnark,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2psnark.war!/},C:\Program Files (x86)\i2p\webapps\i2psnark.war
2013-09-30 22:24:29.897:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2ptunnel,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2ptunnel.war!/},C:\Program Files (x86)\i2p\webapps\i2ptunnel.war
2013-09-30 22:24:29.897:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susidns,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susidns.war!/},C:\Program Files (x86)\i2p\webapps\susidns.war
2013-09-30 22:24:29.897:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susimail,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susimail.war!/},C:\Program Files (x86)\i2p\webapps\susimail.war
2013-09-30 22:24:30.928:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7658
2013-09-30 22:24:30.929:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/docroot/}
2013-09-30 22:24:30.930:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/cgi-bin,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/cgi-bin/}
01/10/13 00:24:21 CRIT  [hutdown hook] net.i2p.router.Router         : Graceful shutdown progress - no more tunnels, safe to die
01/10/13 00:24:23 CRIT  [hutdown hook] net.i2p.router.Router         : Starting final shutdown(2)
01/10/13 00:24:25 CRIT  [hutdown hook] net.i2p.router.Router         : Shutdown(2) complete
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized native BigInteger library loaded from file
INFO: Jetty 7.6.12.v20130726 logging to I2P logs using class org.eclipse.jetty.server.Server
2013-09-30 22:24:58.093:INFO:oejs.Server:jetty-7.6.12.v20130726
Adding C:\Program Files (x86)\i2p\lib/jetty-util.jar to classpath for susimail
01/10/13 00:24:51 CRIT  [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
java.lang.IllegalStateException
	at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
	at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
	at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
	at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
	at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
	at java.lang.Thread.run(Unknown Source)
	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2013-09-30 22:25:27.537:INFO:oejs.Server:jetty-7.6.12.v20130726
2013-09-30 22:27:04.852:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7657
2013-09-30 22:27:04.853:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@::1:7657
2013-09-30 22:27:04.853:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/routerconsole.war!/},C:\Program Files (x86)\i2p\webapps/routerconsole.war
2013-09-30 22:27:04.854:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/addressbook,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/addressbook.war!/},C:\Program Files (x86)\i2p\webapps\addressbook.war
2013-09-30 22:27:04.854:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2psnark,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2psnark.war!/},C:\Program Files (x86)\i2p\webapps\i2psnark.war
2013-09-30 22:27:04.854:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/i2ptunnel,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/i2ptunnel.war!/},C:\Program Files (x86)\i2p\webapps\i2ptunnel.war
2013-09-30 22:27:04.854:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susidns,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susidns.war!/},C:\Program Files (x86)\i2p\webapps\susidns.war
2013-09-30 22:27:04.854:INFO:oejs.Server:Graceful shutdown o.e.j.w.WebAppContext{/susimail,jar:file:/C:/Program%20Files%20(x86)/i2p/webapps/susimail.war!/},C:\Program Files (x86)\i2p\webapps\susimail.war
2013-09-30 22:27:05.885:INFO:oejs.Server:Graceful shutdown SelectChannelConnector@127.0.0.1:7658
2013-09-30 22:27:05.886:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/docroot/}
2013-09-30 22:27:05.886:INFO:oejs.Server:Graceful shutdown o.e.j.s.ServletContextHandler{/cgi-bin,file:/C:/Users/MYNAME/AppData/Roaming/I2P/eepsite/cgi-bin/}
01/10/13 00:26:56 CRIT  [hutdown hook] net.i2p.router.Router         : Graceful shutdown progress - no more tunnels, safe to die
01/10/13 00:26:58 CRIT  [hutdown hook] net.i2p.router.Router         : Starting final shutdown(2)
01/10/13 00:27:08 CRIT  [hutdown hook] net.i2p.router.Router         : Shutdown(2) complete
INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO: Locally optimized native BigInteger library loaded from file
INFO: Jetty 7.6.12.v20130726 logging to I2P logs using class org.eclipse.jetty.server.Server
2013-09-30 22:46:12.743:INFO:oejs.Server:jetty-7.6.12.v20130726
Adding C:\Program Files (x86)\i2p\lib/jetty-util.jar to classpath for susimail
01/10/13 00:46:05 CRIT  [JobQueue 1/1] net.i2p.router.JobQueueRunner : Error processing job [Load Router Info] on thread 0: null
java.lang.IllegalStateException
	at net.i2p.data.RouterInfo.setAddresses(RouterInfo.java:185)
	at net.i2p.router.startup.RebuildRouterInfoJob.rebuildRouterInfo(RebuildRouterInfoJob.java:122)
	at net.i2p.router.startup.LoadRouterInfoJob.runJob(LoadRouterInfoJob.java:48)
	at net.i2p.router.JobQueueRunner.runCurrentJob(JobQueueRunner.java:134)
	at net.i2p.router.JobQueueRunner.run(JobQueueRunner.java:75)
	at java.lang.Thread.run(Unknown Source)
	at net.i2p.util.I2PThread.run(I2PThread.java:85)
2013-09-30 22:46:40.371:INFO:oejs.Server:jetty-7.6.12.v20130726
01/10/13 00:49:04 CRIT  [rtup tunnels] .i2ptunnel.I2PTunnelClientBase: Unable to connect to the router at 127.0.0.1:7654 and build tunnels for the client, giving up

Subtickets

Change History (20)

comment:1 Changed 6 years ago by zzz

Component: unspecifiedrouter/general
Description: modified (diff)

If you had told us about -25 maybe we could have fixed it before our release went out to 35,000 people…

will investigate.

comment:2 Changed 6 years ago by str4d

I just upgraded one of my servers and had no I2CP problems.

I2P version: 0.9.8-0
Java version: Oracle Corporation 1.7.0_25 (OpenJDK Runtime Environment 1.7.0_25-b30)
Wrapper version: 3.5.19
Server version: 7.6.12.v20130726
Servlet version: Jasper JSP 2.1 Engine
Platform: Linux i386 2.6.32-042stab079.5
Processor: Core i7 (45nm) (corei)
Jbigi: Locally optimized native BigInteger? library loaded from file

comment:3 Changed 6 years ago by zzz

I think it's related to trying to delete the router.keys file while it is open on Windows.

Please look at the directory %APPDATA%\I2P, at the two files router.info and router.keys.

1) Do they exist?
2) If they exist, when were they created? When you first installed I2P, or today when you updated?

If one or both exist, delete them and then start I2P. That should work. Please report.

comment:4 Changed 6 years ago by zzz

specifics:

At LoadRouterInfoJob? lines 97-97 we delete files that are open.

That triggers an existing bug in RebuildRouterInfoJob? (… if keyFile.exists() …) where it reuses the old RouterInfo? then calls setAddresses() on it, hitting the IllegalStateException? in RouterInfo? that's been there for over a year.

What I don't understand exactly is how getContext().router().getRouterInfo() returned non-null, how did it get created already…

comment:5 Changed 6 years ago by DISABLED

Resolution: worksforme
Status: newclosed

comment:6 Changed 6 years ago by str4d

Resolution: worksforme
Status: closedreopened

Please don't close tickets with no explanation. And "worksforme" is only useful if you close the ticket when logged in. Please don't close tickets as guest.

comment:7 in reply to:  3 ; Changed 6 years ago by amund1h

Replying to zzz:

I think it's related to trying to delete the router.keys file while it is open on Windows.

Please look at the directory %APPDATA%\I2P, at the two files router.info and router.keys.

1) Do they exist?
2) If they exist, when were they created? When you first installed I2P, or today when you updated?

If one or both exist, delete them and then start I2P. That should work. Please report.

1) None found into %APPDATA%\I2P .
2) Only found them inside %APPDATA%\Roaming\I2P : router.info (01/10/2013) router.keys (23/04/2013). Should I delete them ?

comment:8 in reply to:  7 Changed 6 years ago by amund1h

Replying to amund1h:

Replying to zzz:

I think it's related to trying to delete the router.keys file while it is open on Windows.

Please look at the directory %APPDATA%\I2P, at the two files router.info and router.keys.

1) Do they exist?
2) If they exist, when were they created? When you first installed I2P, or today when you updated?

If one or both exist, delete them and then start I2P. That should work. Please report.

1) None found into %APPDATA%\I2P .
2) Only found them inside %APPDATA%\Roaming\I2P : router.info (01/10/2013) router.keys (23/04/2013). Should I delete them ?

all router.info and router.keys on my HDD :
C:\Users\MYNAME\AppData?\Roaming\I2P\router.info (01/10/2013)
C:\Users\All Users\i2p\router.info (23/04/2013)
C:\ProgramData?\i2p\router.info (23/04/2013)

C:\Users\MYNAME\AppData?\Roaming\I2P\router.keys (23/04/2013)
C:\Users\All Users\i2p\router.keys (22/04/2013)
C:\ProgramData?\i2p\router.keys (22/04/2013)

I deleted them but have the same error message. However on a second computer (sams OS) I had today the same issue after 0.9.8 upgrade, but after deleting the previous files (same amount of files but different dates) the issue is fixed (I2P is connected on this second computer).

comment:9 Changed 6 years ago by killyourtv

Seen on IRC:

deleting c:/programdata/i2p/router.{keys,info} solved the problem

comment:10 Changed 6 years ago by DISABLED

The same problem.

Deleting of %APPDATA%\Roaming\I2P\router.info and .keys resolved this.

comment:11 Changed 6 years ago by zzz

Priority: criticalblocker

Thanks. Looks to me like deleting them should fix it; don't know why it didn't work for the OP on the one computer.

See also: #1057

More details:

LRIJ calls RRIJ and then requeues LRIJ which calls RRIJ again which fails.

Fix will be:
1) Close streams before deleting files in LRIJ
2) Only let LRIJ/shouldRebuild() return true once
3) Don't reuse old RI in RRIJ to avoid ISE

comment:13 Changed 6 years ago by amund1h

My issue is fixed on the two computer. 15 min after removing the files, I2P worked.
I think you should write the tip (temporary) on I2P web site.

comment:14 Changed 6 years ago by zzz

comment:15 Changed 6 years ago by DISABLED

Resolution: fixed
Status: reopenedclosed

comment:16 Changed 6 years ago by killyourtv

Priority: blockercritical
Resolution: fixed
Status: closedreopened

comment:17 Changed 6 years ago by killyourtv

Priority: criticalblocker

Looks like it was fixed in 0.9.8-1.

comment:18 Changed 6 years ago by zzz

Milestone: 0.9.90.9.8.1

comment:19 Changed 6 years ago by zzz

Unfortunately we had to disable all trac logins yesterday due to an attack. If you wish to discuss this bug please do so on IRC freenode or IRC2P #i2p-dev.

Dev builds are available at http://update.killyourtv.i2p/mtn/

<zzz> Need more windows test reports for 0.9.8-1 and then I'd like to release it as 0.9.8.1
<zzz> to test rekeying, set advanced config crypto.elGamal.useLongKey=true and restart, then set to false and restart, etc.
<zzz> the bug is in rekeying, not in the update process itself, so no need to update from a particular version
<zzz> also, if you already switched to a long key, going back to 0.9.7 would not switch you back to a short key

comment:20 Changed 6 years ago by zzz

Resolution: fixed
Status: reopenedclosed

Fixed in release 0.9.8.1 to be released today.

In addition to the workaround above, users with the issue may update manually to 0.9.8.1 following the instructions at the bottom of http://www.i2p2.de/download once the files are posted.

Note: See TracTickets for help on using tickets.